
Redmine - Feature #603

Don't include new status for issues in email subject

2008-02-04 22:04 - Geoffrey Sneddon

Status: Closed Start date: 2008-02-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Ideally, the subject would just contain the project name, the tracker, the issue #, and the subject of the issue. This is useful because it

allows email clients to thread all emails relating to a single issue together. This is the behaviour already, except when the status is

changed.

Also, of interest, text in the subject enclosed in square brackets is ignored for the purposes of threading, but I wouldn't follow the PHP

bug tracker's example of including the information there, for it is in the body anyway. Bugzilla, like we currently do, puts the bug # in

square brackets. This is harmless (for we'll never work around subject changes short of including a Reply-To header).

Related issues:

Is duplicate of Redmine - Defect #1401: Related e-mail notifications aren't t... Closed 2008-06-06

Copied to Redmine - Feature #13111: New setting to include the status changes... Closed 2008-02-04

History

#1 - 2009-02-03 19:31 - Geoffrey Sneddon

- Status changed from New to Resolved

This is really just a dupe of #1401.

#2 - 2010-08-20 11:06 - Azamat Hackimov

- Status changed from Resolved to Closed

#3 - 2013-01-24 18:30 - Ling Li

I probably should start a new issue, or can someone help to change the status of this issue from "Closed" to "Reopened"?

It seems that #1401 doesn't fix the email grouping problem; at least with Gmail, email notifications from the same issue but with different subjects (the

issue status changed) don't group together.  I don't know how Gmail groups emails (i.e., how those headers added in #1401 fail with Gmail), but

removing the issue status from the email subjects should help.

Can people that use other email clients also suggest if email grouping works for them or not?

Thanks.

#4 - 2013-02-08 23:01 - Francewhoa (Francois Carpentier)

+1 for this

#1401 doesn't work with Gmail. Reply from Gmail: "A conversation will break off into a new thread if the subject line of the conversation is

changed" Source: http://support.google.com/mail/bin/answer.py?hl=en&answer=5900

Same here I would like to re-open this issue. How do we do that?

#5 - 2013-02-08 23:13 - Francewhoa (Francois Carpentier)

I searched but could not find how to re-open this issue so I created a new one at #13111
